Is your "Epson T078 New Compatible Ink Cartridges Value Pack (BK/C/M/Y/LC/LM)" with an updated chip (Version 6.5 or higher)?



  • Is your "Epson T078 New Compatible Ink Cartridges Value Pack (BK/C/M/Y/LC/LM)" with an updated chip (Version 6.5 or higher)? Could you confirm ? My printer Epson Stylus Photo RX595 need updated chip (Version 6.5 or higher).



  • Hello Alyce,

    For our Epson T078, we don’t differentiate version now, but our current chip is the most updated chip and can work on all printers.


Log in to reply